Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.syntax.objdump
Class ObjDump2ProgramReader

    java.lang.Object
      avrora.util.help.HelpCategory
          avrora.core.ProgramReader
              avrora.syntax.objdump.ObjDump2ProgramReader

All Implemented Interfaces:
  HelpItem

public class ObjDump2ProgramReader
extends ProgramReader

The `ObjdumpProgramReader` is an implementation of the `ProgramReader` that reads source assembly files in the Atmel style syntax. It can handle only one file at a time.

Field Summary

Fields inherited from class avrora.core.ProgramReader
`INDIRECT_EDGES, options`

Fields inherited from class avrora.util.help.HelpCategory
`COMPARATOR, help, name`

Constructor Summary
`ObjDump2ProgramReader()`

Method Summary
`Program` | `read(java.lang.String[] args)` The `read()` method takes the command line arguments passed to main and interprets it as a list of filenames to load.

Methods inherited from class avrora.core.ProgramReader
`addIndirectEdges`

Methods inherited from class avrora.util.help.HelpCategory
`addCommandExample, addListSection, addOptionSection, addSection, addSubcategorySection, getHelp, getName, printHelp, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjDump2ProgramReader

    public ObjDump2ProgramReader()

Method Detail

### read

    public Program read(java.lang.String[] args)
                 throws java.lang.Exception

  The `read()` method takes the command line arguments passed to main and interprets it as a list of filenames to load. It expects only one filename to be present. It will load, parse, and simplify the program and return it.

  Specified by:
    `read` in class `ProgramReader`
  Parameters:
    `args` - the string arguments representing the names of the files to read
  Returns:
    a program obtained by parsing and building the file
  Throws:
    `ParseException` - if the file does not parse correctly
    `java.io.IOException` - if there is a problem reading from the files
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD